/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.jsf.api.javax_faces.component.behavior.common;

import java.util.Collection;

import javax.faces.component.UIComponent;
import javax.faces.component.behavior.ClientBehaviorContext;
import javax.faces.context.FacesContext;

public class TCKClientBehaviorContext extends ClientBehaviorContext {

	@Override
	public FacesContext getFacesContext() {
		return null;
	}

	@Override
	public UIComponent getComponent() {
		return null;
	}

	@Override
	public String getEventName() {
		return null;
	}

	@Override
	public String getSourceId() {
		return null;
	}

	@Override
	public Collection<Parameter> getParameters() {
		return null;
	}

}
